<template>
  <div class="markdownEditor container">
    <b-tabs>
      <b-tab-item label="Edit" class="edit">
        <b-input type="textarea" v-model="input" maxlength="5000"/>
      </b-tab-item>

      <b-tab-item label="Preview">
        <div class="content" v-html="compiledMarkdown"></div>
      </b-tab-item>
    </b-tabs>
  </div>
</template>

<script>
import marked from 'marked'

export default {
  name: 'MarkdownEditor',
  props: {
    input: {
      type: String,
      default: '# Readme'
    }
  },
  computed: {
    compiledMarkdown: function () {
      this.$emit('update-description', this.input)
      return marked(this.input)
    }
  }
}
</script>

<style scoped>
.edit textarea {
  min-height: 800px;
}
</style>
